setwd("C:/R")

library(geomorph)
library(Morpho)
library(ape)


##Data ID
ident=read.table(("./ID Juba.csv"),sep=";")

grasping=as.vector(ident[,1])
video=as.factor(ident[,2])
object=as.factor(ident[,3])
failure=as.factor(ident[,4])


##Sliding
slide=read.table(("./Sliding 101"))
slide=as.matrix(slide)


##Data
contours=readland.tps("./Total Juba.TPS")


##PCA
gpa=gpagen(contours,curves=slide,ProcD = FALSE)
plotgpa=plotTangentSpace(gpa$coords,groups = object,legend=TRUE)


##Manova
plotgpa
summary(manova(plotgpa$pc.scores[,1:7]~object))


##CVA
cva=CVA(plotgpa$pc.scores[,1:7],object,CV=FALSE) # Axis 90%
plot(cva$CVscores,col=as.numeric(object),pch=19)
text(cva$CVscores,as.vector(object), col=as.numeric(object),pos=3)


#Plot Mahalanobis
dendroS=hclust(cva$Dist$GroupdistMaha)
plot(as.phylo(dendroS), type = "unrooted")

