setwd("C:/R")

library(geomorph)
library(Morpho)
library(Momocs)


##Consensus
#Data ID
ident=read.table(("./ID M'Kali.csv"),sep=";")

#Sliding
slide=read.table(("./Sliding 101"))
slide=as.matrix(slide)

#Data
contours=readland.tps("./Total M'Kali.TPS")

#PCA and mean shape
gpa=gpagen(contours,curves=slide,ProcD = FALSE)
cons <- mshape(gpa$coords)
plot(cons)


##Mean vegetable
#Data ID
ident=read.table(("./ID M'Kali.csv"),sep=";")
grasping=as.vector(ident[,1])
video=as.factor(ident[,2])
object=as.factor(ident[,3])
failure=as.factor(ident[,4])

ident<-subset(ident, object =="d")
ident<-subset(ident, object =="a")
ident<-subset(ident, object =="c1")
ident<-subset(ident, object =="c2")

#Data
contours=readland.tps("./Total M'Kali apple.TPS")
contours=readland.tps("./Total M'Kali carrot.TPS")
contours=readland.tps("./Total M'Kali small cube.TPS")
contours=readland.tps("./Total M'Kali medium cube.TPS")

#PCA and mean shape
gpa=gpagen(contours,curves=slide,ProcD = FALSE)
vegetable <- mshape(gpa$coords)
plot(vegetable)


#Visualisations
tps_arr(cons, vegetable, grid=FALSE,
        arr.nb = 50, arr.len = 0.25, arr.col = 1,
        shp.border = c("dimgray","firebrick"))

tps_iso(cons, vegetable, cont = FALSE, iso.nb = 10000, shp.border = 1, legend = FALSE)


