setwd("C:/R")

library(geomorph)
library(Morpho)


##Data ID
ident=read.table(("./ID Beauval elephants except N'Dala.csv"),sep=";")
individual=as.factor(ident[,2])


##Sliding
slide=read.table(("./Sliding 101"))
slide=as.matrix(slide)


##Data
contours=readland.tps("./Total Beauval elephants except N'Dala.tps")


##PCA
gpa=gpagen(contours,curves=slide,ProcD = FALSE)
plotgpa=plotTangentSpace(gpa$coords,groups = individual,legend=TRUE)


##Manova
plotgpa
summary(manova(plotgpa$pc.scores[,1:7]~individual))


##CVA
cva=CVA(plotgpa$pc.scores[,1:7],individual,CV=FALSE) # Axis 90%
plot(cva$CVscores,col=as.numeric(individual),pch=20)
text(cva$CVscores,as.vector(individual), col=as.numeric(individual),pos=3)

